Searching txt.sour.is

Twts matching #sets
Sort by: Newest, Oldest, Most Relevant
In-reply-to » Watching the ISS fade out in the sky as it moves into earth's shadow remains one of the coolest things in the world.

No, I wasn’t set up for it. I wasn’t expecting to see the ISS at all, and you never know when an orbit will do the fade out thing.

⤋ Read More

Gajim: Gajim 1.4.7
Gajim 1.4.7 brings performance improvements, better file previews, and many bug fixes. Thanks for all your reports!

What’s New

Multiple issues with Gajim’s file preview have been fixed. If you want to disable file previews entirely, there is now a setting in Gajim’s preferences.

For people with many contacts in their contact list, this release will bring a significant performance improvement 🚀

Furthermore, notifications on Windows should not appear in the taskbar anymore.

Fixes … ⌘ Read more

⤋ Read More

So far I configured most (almost all) settings for GoBlog through a YAML file. But this is not so optimal, after all it happens sometimes that I want to change a small setting, such as the description of a post section, from my smartphone. This would work somehow via SSH, but ideal is something else. Email conversations with Andrés Cárdenas inspired me to finally start the project “settings in the database”. The first step was to make it possible to configure the mentioned post sections. This is now finally possible … ⌘ Read more

⤋ Read More

I’m trying to switch from Konversation to irssi. Let’s see how that goes. Any irssiers out there who can recommend specific settings or scripts? I already got myself trackbar.pl and nickcolor.pl as super-essentials. Also trying window_switcher.pl. Somehow my custom binds for Ctrl+1/2/3/etc. to switch to window 1/2/3/etc. doesn’t do anything: { key = "^1"; id = "change_window"; data = "1"; } (I cannot use the default with Alt as this is handled by my window manager). Currently, I’m just cycling with Ctrl+N/P. Other things to solve in the near future:

  • better, more colorful and compact theme (just removed clock from statusbar so far)
  • getting bell/urgency hints working on arriving messages
  • nicer tabs in status bar, maybe even just channel names and no indexes
  • decluster status bar with user and channel modes (I never cared about those in the last decade)

⤋ Read More

China’s easing of zero-Covid restraints set to release stocks into bull-market territory for first time in three years
A change in quarantine rules comes as the CSI 300 Index is within about 2 per cent of bull-market status, but opinions differ over how heavily Beijing’s zero-Covid policy still weighs on the market ⌘ Read more

⤋ Read More

School in China ditches sleeping on desks at nap time for health reasons and lets students set up their own tents to sleep in
A school in China, concerned by the health impacts of students sleeping with heads on desks, tried something different — now its ‘sleep lying down project’ is winning praise nationally. ⌘ Read more

⤋ Read More

Mentoring Secondary School Students in Buddy Programme
[Sponsored Article]

The transition from secondary to tertiary education is an important developmental milestone in one’s life. Secondary school students may not yet have developed a clear understanding of what their aspirations are and in what fields they would like to pursue further studies. To encourage secondary school students in planning their future pathway, CityU has set … ⌘ Read more

⤋ Read More

CityU Research Cited in US Budget FY2023
[Sponsored Article]

Strategic planning is regarded as a popular management approach adopted by public, private and non-profit organisations today to set priorities and steer future development. It helps define the mission of the organisation and establish realistic goals and objectives consistent with that mission in a defined time frame for implementation within the organisation’s capacity. … ⌘ Read more

⤋ Read More

ProcessOne: Announcing ejabberd DEB and RPM Repositories
Today, we are happy to announce our official Linux packages repository: a source of .deb and .rpm packages for ejabberd Community Server. This repository provides a new way for the community to install and upgrade ejabberd.

All details on how to set this up are described on the dedicated website:

https://repo.process-one.net

![ejabberd installation log](http … ⌘ Read more

⤋ Read More

**“This decision is not only a hollow response to Covid-19, but it sends the message that intellectual property rights outweigh the rights to health and life.”

https://www.amnesty.org/en/latest/news/2022/06/covid-19-wto-ministerial-decision-on-trips-agreement-fails-to-set-rules-that-could-save-lives/**
“This decision is not only a hollow response to Covid-19, but it sends the message that intellectual property rights outweigh the rights to health and life.”

[amnesty.org/en/latest/news/2…](https://www.amnesty. … ⌘ Read more

⤋ Read More

Japan’s new tougher cyberbullying laws prompted after Hana Kimura’s suicide sparks free speech debate
Anyone convicted of using abusive language to insult a person in a public setting, including online, now face up to one year behind bars or a fine of up to US$2,236. Previously, a conviction could have led to a maximum prison term of 30 days or a fine of US$75. ⌘ Read more

⤋ Read More

ProcessOne: Announcing ejabberd DEB and RPM Repositories
Today, we are happy to announce our official Linux packages repository: a source of .deb and .rpm packages for ejabberd Community Server. This repository provides a new way for the community to install and upgrade ejabberd.

All details on how to set this up are described on the dedicated website:

https://repo.process-one.net

![ejabberd installation log](http … ⌘ Read more

⤋ Read More

Company owned by Hong Kong justice chief Teresa Cheng’s husband sued for price fixing, bid-rigging over air-conditioning works worth HK$2 billion
Competition Commission begins legal action against ATAL Building Services Engineering, set up by Teresa Cheng’s husband Otto Poon, and Shun Hing Engineering Contracting Company. ⌘ Read more

⤋ Read More

For China’s elite graduates, career dreams take a back seat to stability in coronavirus-hit job market
This year, a record 10.76 million college students are set to graduate, adding pressure to a job market economists are calling the most challenging yet for young Chinese. Many are setting aside career dreams for stability. ⌘ Read more

⤋ Read More

Q: Are passphrases really more secure than cryptographically random passwords? 🤔

I have to wonder… It should be possible to do “passphrase” attacks just like “dictionary” attacks? How is a “phrase” any different to the character set you can type? Sure there are more possible “words” (at least) in the English language, but I’m not convinced.

⤋ Read More

with resolving inconsistent graph preferences, does the portion of non-uniquely resolvable preferences shrink with the number of options? in other words: for the set 𝓖_n of all graphs with n nodes, and the set U(𝓖_n) of those graphs with a unique path-graph with a smallest graph-edit distance, is |U(𝓖_n)|/𝓖n<|U(𝓖{n+1})|/|𝓖_{n+1}|?

⤋ Read More

We don’t have meaningful social connections anymore like our parents or their parents geeration had. We are so scattered, that I am unsure how many of my friends are actually friends and how many are just professional contacts. Everytime I switch job, almost 70% of my friends suddenly fall out of contact. Heck, I don’t even know the people who live in next apartments both left, right, up and down on the same building. Socializing with my friends mean, setting up an appointment weeks ahead to see if we can align on a free-slot and this often involves all of us commuting to somewhere and disbanding by 22:00 hours because family, work next morning, chores to do, doctor appointment and other human things. Why do you waste so much time on the internet? | Hacker News

⤋ Read More

When you submit a GDPR request to American Express (Germany), you get an “Encrypted Mail” (for which you have to log in again somewhere and set a password), which then contains two PDFs, one of which is full of screenshots of mainframe terminals. ⌘ Read more

⤋ Read More

for a given graph G, there is a set of graphs \mathcal{G} so that for every G’ ∈ \mathcal{G}, the transitive closure of G’ is G. does \mathcal{G} contain only one element?

⤋ Read More

Erlang Solutions: 5 Key Tech Priorities for Fintech Leaders in 2022
Issues caused by sub-optimal tech choices are commonplace in the industry, leading to companies failing under unexpected stress or being unable to adapt in time when their business requirements change.

While no two projects are the same, we’ve observed some common themes for using scalable futureproof technologies to build diverse fintech systems. Taking advantage of these learnings sets financial service provi … ⌘ Read more

⤋ Read More

@prologic@twtxt.net

#!/bin/sh

# Validate environment
if ! command -v msgbus > /dev/null; then
    printf "missing msgbus command. Use:  go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
    exit 1
fi

if ! command -v salty > /dev/null; then
    printf "missing salty command. Use:  go install go.mills.io/salty/cmd/salty@latest"
    exit 1
fi

if ! command -v salty-keygen > /dev/null; then
    printf "missing salty-keygen command. Use:  go install go.mills.io/salty/cmd/salty-keygen@latest"
    exit 1
fi

if [ -z "$SALTY_IDENTITY" ]; then
    export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi

get_user () {
    user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
    if [ -z "$user" ]; then
        user="$USER"
    fi
    echo "$user"
}

stream () {
    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}

lookup () {
    if [ $# -lt 1 ]; then
    printf "Usage: %s nick@domain\n" "$(basename "$0")"
    exit 1
    fi

    user="$1"
    nick="$(echo "$user" | awk -F@ '{ print $1 }')"
    domain="$(echo "$user" | awk -F@ '{ print $2 }')"

    curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}

readmsgs () {
    topic="$1"

    if [ -z "$topic" ]; then
        topic=$(get_user)
    fi

    export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
    if [ ! -f "$SALTY_IDENTITY" ]; then
        echo "identity file missing for user $topic" >&2
        exit 1
    fi

    msgbus sub "$topic" "$0"
}

sendmsg () {
    if [ $# -lt 2 ]; then
        printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
        exit 0
    fi

    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    user="$1"
    message="$2"

    salty_json="$(mktemp /tmp/salty.XXXXXX)"

    lookup "$user" > "$salty_json"

    endpoint="$(jq -r '.endpoint' < "$salty_json")"
    topic="$(jq -r '.topic' < "$salty_json")"
    key="$(jq -r '.key' < "$salty_json")"

    rm "$salty_json"

    message="[$(date +%FT%TZ)] <$(get_user)> $message"

    echo "$message" \
        | salty -i "$SALTY_IDENTITY" -r "$key" \
        | msgbus -u "$endpoint" pub "$topic"
}

make_user () {
    mkdir -p "$HOME/.config/salty"

    if [ $# -lt 1 ]; then
        user=$USER
    else
        user=$1
    fi

    identity_file="$HOME/.config/salty/$user.key"

    if [ -f "$identity_file" ]; then
        printf "user key exists!"
        exit 1
    fi

    # Check for msgbus env.. probably can make it fallback to looking for a config file?
    if [ -z "$MSGBUS_URI" ]; then
        printf "missing MSGBUS_URI in environment"
        exit 1
    fi


    salty-keygen -o "$identity_file"
    echo "# user: $user" >> "$identity_file"

    pubkey=$(grep key: "$identity_file" | awk '{print $4}')

    cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json

{
  "endpoint": "$MSGBUS_URI",
  "topic": "$user",
  "key": "$pubkey"
}

EOF
}

# check if streaming
if [ ! -t 1 ]; then
    stream
    exit 0
fi

# Show Help
if [ $# -lt 1 ]; then
    printf "Commands: send read lookup"
    exit 0
fi


CMD=$1
shift

case $CMD in
    send)
        sendmsg "$@"
    ;;
    read)
        readmsgs "$@"
    ;;
    lookup)
        lookup "$@"
    ;;
    make-user)
        make_user "$@"
    ;;
esac

⤋ Read More

@prologic@twtxt.net

#!/bin/sh

# Validate environment
if ! command -v msgbus > /dev/null; then
    printf "missing msgbus command. Use:  go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
    exit 1
fi

if ! command -v salty > /dev/null; then
    printf "missing salty command. Use:  go install go.mills.io/salty/cmd/salty@latest"
    exit 1
fi

if ! command -v salty-keygen > /dev/null; then
    printf "missing salty-keygen command. Use:  go install go.mills.io/salty/cmd/salty-keygen@latest"
    exit 1
fi

if [ -z "$SALTY_IDENTITY" ]; then
    export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi

get_user () {
    user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
    if [ -z "$user" ]; then
        user="$USER"
    fi
    echo "$user"
}

stream () {
    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}

lookup () {
    if [ $# -lt 1 ]; then
    printf "Usage: %s nick@domain\n" "$(basename "$0")"
    exit 1
    fi

    user="$1"
    nick="$(echo "$user" | awk -F@ '{ print $1 }')"
    domain="$(echo "$user" | awk -F@ '{ print $2 }')"

    curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}

readmsgs () {
    topic="$1"

    if [ -z "$topic" ]; then
        topic=$(get_user)
    fi

    export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
    if [ ! -f "$SALTY_IDENTITY" ]; then
        echo "identity file missing for user $topic" >&2
        exit 1
    fi

    msgbus sub "$topic" "$0"
}

sendmsg () {
    if [ $# -lt 2 ]; then
        printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
        exit 0
    fi

    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    user="$1"
    message="$2"

    salty_json="$(mktemp /tmp/salty.XXXXXX)"

    lookup "$user" > "$salty_json"

    endpoint="$(jq -r '.endpoint' < "$salty_json")"
    topic="$(jq -r '.topic' < "$salty_json")"
    key="$(jq -r '.key' < "$salty_json")"

    rm "$salty_json"

    message="[$(date +%FT%TZ)] <$(get_user)> $message"

    echo "$message" \
        | salty -i "$SALTY_IDENTITY" -r "$key" \
        | msgbus -u "$endpoint" pub "$topic"
}

make_user () {
    mkdir -p "$HOME/.config/salty"

    if [ $# -lt 1 ]; then
        user=$USER
    else
        user=$1
    fi

    identity_file="$HOME/.config/salty/$user.key"

    if [ -f "$identity_file" ]; then
        printf "user key exists!"
        exit 1
    fi

    # Check for msgbus env.. probably can make it fallback to looking for a config file?
    if [ -z "$MSGBUS_URI" ]; then
        printf "missing MSGBUS_URI in environment"
        exit 1
    fi


    salty-keygen -o "$identity_file"
    echo "# user: $user" >> "$identity_file"

    pubkey=$(grep key: "$identity_file" | awk '{print $4}')

    cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json

{
  "endpoint": "$MSGBUS_URI",
  "topic": "$user",
  "key": "$pubkey"
}

EOF
}

# check if streaming
if [ ! -t 1 ]; then
    stream
    exit 0
fi

# Show Help
if [ $# -lt 1 ]; then
    printf "Commands: send read lookup"
    exit 0
fi


CMD=$1
shift

case $CMD in
    send)
        sendmsg "$@"
    ;;
    read)
        readmsgs "$@"
    ;;
    lookup)
        lookup "$@"
    ;;
    make-user)
        make_user "$@"
    ;;
esac

⤋ Read More

You can’t tell people; here is a dial, you can pick ‘fast and you’re screwed later’ or ‘slow and careful now’. You’re setting yourself up for failure; they cannot pick ‘slow and careful’, because that’s not their job; their job is to quickly deliver value/outcomes/whatever. We sound like idiots when we talk about technical debt | Hacker News

⤋ Read More

** 2022-02-24 feature/6.0 Android test plan **

Overview

Will test the upgrade path from a known state to new version to ensure that settings and app state are maintained during upgrade process.

V. 6.0 of libro.fm android app introduces an entirely new local database. This testing is focused on ensuring that local data remains intact between versions.

Notes

This evening I was mostly focused on setting up a successful build of feature/6.0 on my test device or the emulator. So far, no dice. My next … ⌘ Read more

⤋ Read More

Docker Captain Take 5 – Martin Terp
Docker Captains are select members of the community that are both experts in their field and are passionate about sharing their Docker knowledge with others. “Docker Captains Take 5” is a regular blog series where we get a closer look at our Captains and ask them the same broad set of questions ranging from what […]

The post Docker Captain Take 5 – Martin Terp appeared first on [Docker Blog](https://www. … ⌘ Read more

⤋ Read More

»In an apparently non-political case of imitation of Quảng Đức, the young son of an American officer based at the U.S. Embassy in Saigon doused himself with gasoline and set himself on fire. He was seriously burned before the fire was extinguished and later could only offer the explanation that “I wanted to see what it was like.”« lmao

⤋ Read More
In-reply-to » Given that we don't have a "home phone", what's the best way to create a "hunt group" for my partner's and my cell phones? My first thought is Asterisk on a VPS, but my knowledge of such things is years out of date. Is there a better way?

A “hunt group” is a phone number you can call which will ring some set of other phones and whoever answers first gets the call, and the others stop ringing.

⤋ Read More

PEP 683: Immortal Objects, Using a Fixed Refcount
Under this proposal, any object may be marked as immortal.
“Immortal” means the object will never be cleaned up (at least until
runtime finalization). Specifically, the refcount for an immortal
object is set to a sentinel value, and that refcount is never changed
by Py_INCREF(), Py_DECREF(), or Py_SET_REFCNT().
For immortal containers, the PyGC_Head is never
changed by the garbage collector. ⌘ Read more

⤋ Read More

** What is an addressing mode? **
In a recent post I referenced addressing modes. But what the heck are they!?

Setting the stage

The instruction register holds the program instruction that is currently being run.

A fixed number of bits within the instruction register represent the operation, e.g. “op. code” — examples of these instructions include things like add, subtract, load, and store. We can imagine the instruction register like this:

[![ASCII diagram of … ⌘ Read more

⤋ Read More

the name Allosaurus is really funny to me for some reason. I imagine two biologists standing over a set of giant bones, and one saying to the other “Yeah, I think this is a different kind of lizard than what we usually have to deal with.”

⤋ Read More

Docker Captain Take 5 – Thomas Shaw
Docker Captains are select members of the community that are both experts in their field and are passionate about sharing their Docker knowledge with others. “Docker Captains Take 5” is a regular blog series where we get a closer look at our Captains and ask them the same broad set of questions ranging from what […]

The post Docker Captain Take 5 – Thomas Shaw appeared first on [Docker Blog](https://www. … ⌘ Read more

⤋ Read More
In-reply-to » @prologic I am seeing a problem in which not-so-active users, such as myself, are ending up having a blank "Recent twts from..." under their profiles because, I assume, the cache long expired. What can be done about it? Business personalities such as myself can't be around here that often! Could something be implemented so that, say, the last 10 or 20 twts are always visible under one's profile? Neep-gren!

@prologic@twtxt.net I fully agree with making it a pod-level setting (forget about user-level, let us not complicate things too much; we all know users know nothing). Should I send a latinum over for this, or will an issue just suffice? Neep-gren!

⤋ Read More

Golang《基于 MIME 协议的邮件信息解析》部分实现

Golang 邮件 golang 中邮件相关的包
net/mail
net/smtp
net/textproto
mime
mime/multipart
mime/quotedprintable

基于 smtp 包的邮件发送示例,基于官方文档:


<span class="c">// Set up authentication information.</span>
  <span class="n">auth</span> <span class="o">:=</span> <span class="n">smtp</span><span class="o">.</span><span class="n">PlainAuth</span><span class="p">(</span><span class="s">""</span><span class="p">,</span> <span class="s">"xxxx@qq.com"</span><span class="p">,</span> <span class="s">"xxxxx"</span><s ... ⌘ [Read more](https://gocn.vip/topics/20948)

⤋ Read More

stephaniewm55/1-Click-Torrent-Youtube-FFMPEG-Client

Image

1 Click Torrent Youtube FFMPEG Client is torrent/Youtube downloader and FFMPEG video converter/player, built in Windows File Explorer, without settings and dependencies.

Language: C++

Star: 23

Watch: 23 ⌘ Read more

⤋ Read More

Docker Captain Take 5 – Nana Janashia
Docker Captains are select members of the community that are both experts in their field and are passionate about sharing their Docker knowledge with others. “Docker Captains Take 5” is a regular blog series where we get a closer look at our Captains and ask them the same broad set of questions ranging from what […]

The post Docker Captain Take 5 – Nana Janashia appeared first on [D … ⌘ Read more

⤋ Read More

详解布隆过滤器的原理和实现

为什么需要布隆过滤器

想象一下遇到下面的场景你会如何处理:

  1. 手机号是否重复注册
  2. 用户是否参与过某秒杀活动
  3. 伪造请求大量 id 查询不存在的记录,此时缓存未命中,如何避免缓存穿透

针对以上问题常规做法是:查询数据库,数据库硬扛,如果压力并不大可以使用此方法,保持简单即可。

改进做法:用 list/set/tree 维护一个元素集合,判断元素是否� … ⌘ Read more

⤋ Read More

Docker Captain Take 5 – Nicolas De Loof
Docker Captains are select members of the community that are both experts in their field and are passionate about sharing their Docker knowledge with others. “Docker Captains Take 5” is a regular blog series where we get a closer look at our Captains and ask them the same broad set of questions ranging from what […]

The post Docker Captain Take 5 – Nicolas De Loof appeared fir … ⌘ Read more

⤋ Read More

Important notes for LARBS users
Two notes for LARBS users:

  1. Xorg went through some updates last week that changed how it calculates dots-per-inch (DPI) on screens. There’s a chance that you might update and find your font extra large or small. If so, you can just manually addxrandr --dpi 96 to the beginning of your xprofile to set the DPI to the typical 96 (or whatever number looks best).
  2. I have no switched new installs of LARBS from using Pulseaudio to Pipewire as an … ⌘ Read more

⤋ Read More

Important notes for LARBS users
Two notes for LARBS users:

  1. Xorg went through some updates last week that changed how it calculates dots-per-inch (DPI) on screens. There’s a chance that you might update and find your font extra large or small. If so, you can just manually addxrandr --dpi 96 to the beginning of your xprofile to set the DPI to the typical 96 (or whatever number looks best).
  2. I have no switched new installs of LARBS from using Pulseaudio to Pipewire as an … ⌘ Read more

⤋ Read More

Had a great day today. Fun at work, went for a long walk and did my grocery shopping, have set a dough for tomorrow’s breakfast. And finished writing stuff that I’ve longed to do.

⤋ Read More

Docker Captain Take 5 – Aurélie Vache
Docker Captains are select members of the community that are both experts in their field and are passionate about sharing their Docker knowledge with others. “Docker Captains Take 5” is a regular blog series where we get a closer look at our Captains and ask them the same broad set of questions ranging from what […]

The post Docker Captain Take 5 – Aurélie Vache appeared first on … ⌘ Read more

⤋ Read More

@movq@www.uninformativ.de what is your cron job repeat time for jenny? Currently I have mine to every minute, and while it allows me to participate fairly quick on conversations it has some drawbacks: it captures every single edited twt, so I end up with seemingly the same twt, but not quite—as it has minor edits, etc. So, “repeats”. Perhaps setting cron to check every 5 minutes or so is best?

⤋ Read More

Having used—and still using—1Password (a password manager) for many years, I have gone through a few stages of disliking/frustration with it. The first was when subscriptions were set in place, the second is now, with their approach for auto-filling under iOS. It is, more often than I would like to, telling me to configure it when I did so from day one. My open support ticket isn’t going too far either.

I wish iCloud KeyChain would mimic some of its features, so I can just dump it. KeyChain has improved a lot, now allowing OTP to be saved with a credential, but it is still not quite there yet.

⤋ Read More